## net.i2p.router.networkdb.kademlia
Class StoreState

    java.lang.Object
      net.i2p.router.networkdb.kademlia.StoreState

class StoreState
extends java.lang.Object

Constructor Summary
`StoreState(RouterContext ctx, Hash key, DataStructure data)`
`StoreState(RouterContext ctx, Hash key, DataStructure data, java.util.Set toSkip)`

Method Summary
`void` `addPending(java.util.Collection pending)`
`void` `addPending(Hash peer)`
`void` `addSkipped(Hash peer)` we aren't even going to try to contact this peer
`void` `complete(boolean completed)`
`boolean` `completed()`
`long` `confirmed(Hash peer)`
`long` `confirmedExploratory(Hash peer)`
`java.util.Set` `getAttempted()`
`int` `getCompleteCount()`
`DataStructure` `getData()`
`java.util.Set` `getFailed()`
`java.util.Set` `getPending()`
`java.util.Set` `getSuccessful()`
`java.util.Set` `getSuccessfulExploratory()`
`Hash` `getTarget()`
`long` `getWhenCompleted()`
`long` `getWhenStarted()`
`void` `replyTimeout(Hash peer)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreState

    public StoreState(RouterContext ctx,
                      Hash key,
                      DataStructure data)

### StoreState

    public StoreState(RouterContext ctx,
                      Hash key,
                      DataStructure data,
                      java.util.Set toSkip)

Method Detail

### getTarget

    public Hash getTarget()

### getData

    public DataStructure getData()

### getPending

    public java.util.Set getPending()

### getAttempted

    public java.util.Set getAttempted()

### getSuccessful

    public java.util.Set getSuccessful()

### getSuccessfulExploratory

    public java.util.Set getSuccessfulExploratory()

### getFailed

    public java.util.Set getFailed()

### completed

    public boolean completed()

### complete

    public void complete(boolean completed)

### getCompleteCount

    public int getCompleteCount()

### getWhenStarted

    public long getWhenStarted()

### getWhenCompleted

    public long getWhenCompleted()

### addPending

    public void addPending(Hash peer)

### addPending

    public void addPending(java.util.Collection pending)

### addSkipped

    public void addSkipped(Hash peer)

  we aren't even going to try to contact this peer

### confirmed

    public long confirmed(Hash peer)

### confirmedExploratory

    public long confirmedExploratory(Hash peer)

### replyTimeout

    public void replyTimeout(Hash peer)

### toString

    public java.lang.String toString()